# Constant Field Values

## Contents

- jakarta.security.*

## jakarta.security.*

- jakarta.security.auth.message.MessagePolicy.ProtectionPolicy
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `AUTHENTICATE_CONTENT`
  `"#authenticateContent"`
  `public static final String`
  `AUTHENTICATE_RECIPIENT`
  `"#authenticateRecipient"`
  `public static final String`
  `AUTHENTICATE_SENDER`
  `"#authenticateSender"`

- jakarta.security.auth.message.config.AuthConfigFactory
  Modifier and Type
  Constant Field
  Value
  `public static final String`
  `DEFAULT_FACTORY_SECURITY_PROPERTY`
  `"authconfigprovider.factory"`
  `public static final String`
  `GET_FACTORY_PERMISSION_NAME`
  `"getProperty.authconfigprovider.factory"`
  `public static final String`
  `PROVIDER_REGISTRATION_PERMISSION_NAME`
  `"setProperty.authconfigfactory.provider"`
  `public static final String`
  `SET_FACTORY_PERMISSION_NAME`
  `"setProperty.authconfigprovider.factory"`